/********************************************************/
/*
/*      Colors CSS
/*
/********************************************************/
/******************************/
/* Text color override
/******************************/
body .has-text-color.has-zodiac-blue-color 			{ color: var(--wp--preset--color--zodiac-blue) !important; }
body .has-text-color.has-yellowish-orange-color 	{ color: var(--wp--preset--color--yellowish-orange) !important; }
body .has-text-color.has-mako-blue-color 			{ color: var(--wp--preset--color--mako-blue) !important; }
body .has-text-color.has-mid-gray-color 			{ color: var(--wp--preset--color--mid-gray) !important; }
body .has-text-color.has-parchment-beige-color 		{ color: var(--wp--preset--color--parchment-beige) !important; }
body .has-text-color.has-bridal-heath-white-color 	{ color: var(--wp--preset--color--bridal-heath-white) !important; }

body.has-zodiac-blue-background-color :is(.edit-post-visual-editor, .editor-styles-wrapper)::before
													{ background-color: var(--wp--preset--color--zodiac-blue) !important; }
body.has-yellowish-orange-background-color :is(.edit-post-visual-editor, .editor-styles-wrapper)::before
													{ background-color: var(--wp--preset--color--yellowish-orange) !important; }
body.has-mako-blue-background-color :is(.edit-post-visual-editor, .editor-styles-wrapper)::before
													{ background-color: var(--wp--preset--color--mako-blue) !important; }
body.has-mid-gray-background-color :is(.edit-post-visual-editor, .editor-styles-wrapper)::before
													{ background-color: var(--wp--preset--color--mid-gray) !important; }
body.has-parchment-beige-background-color :is(.edit-post-visual-editor, .editor-styles-wrapper)::before
													{ background-color: var(--wp--preset--color--parchment-beige) !important; }
body.has-bridal-heath-white-background-color :is(.edit-post-visual-editor, .editor-styles-wrapper)::before
													{ background-color: var(--wp--preset--color--bridal-heath-white) !important; }

/******************************/
/* BG color adaptation
/******************************/
/* Light (default) */
:is(
	.has-parchment-beige-background-color,
	.has-bridal-heath-white-background-color
) {
	color : var(--wp--custom--color--default--text);
}

body:is(
	.has-parchment-beige-background-color,
	.has-bridal-heath-white-background-color
) :is(main > .wp-block-post-content, .edit-post-visual-editor, .editor-styles-wrapper) {
	--wp--custom--color--default--text: var(--wp--custom--color--default--text);
}

/* Dark */
:is(
	.has-zodiac-blue-background-color,
	.has-yellowish-orange-background-color,
	.has-mako-blue-background-color,
	.has-mid-gray-background-color
) {
	color : var(--wp--custom--color--default--bg);
}

body:is(
	.has-zodiac-blue-background-color,
	.has-yellowish-orange-background-color,
	.has-mako-blue-background-color,
	.has-mid-gray-background-color
) :is(main > .wp-block-post-content, .edit-post-visual-editor, .editor-styles-wrapper) {
	--wp--custom--color--default--text: var(--wp--custom--color--default--bg);
}